<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: lorena.salamanca
  
-->

<h:form id="asociarPagoCausadoForm" xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">
    <p:spacer width="5" />

    <p:fieldset>

        <p:messages id="msgsAPP" showDetail="false" globalOnly="false" />

        <h:panelGrid columns="4" cellspacing="7" width="100%">

            <h:outputLabel value="Número documento:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminPagosContratoAvaluador.avaluador.numeroIdentificacion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Nombre avaluador:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminPagosContratoAvaluador.avaluador.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Territorial:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminPagosContratoAvaluador.avaluador.territorial.nombre}"
                styleClass="outputTextStyle" />

            <h:outputText value="" />
            <h:outputText value="" />

            <h:outputLabel value="Número contrato:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminPagosContratoAvaluador.contrato.contratoNumero}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Año contrato:" styleClass="outputLabelStyle" />
            <h:outputText value="#{adminPagosContratoAvaluador.contrato.anio}"
                          styleClass="outputTextStyle" />

            <h:outputLabel value="Sec. pago:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminPagosContratoAvaluador.pagoSeleccionado.consecutivoPago}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Valor total pago:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminPagosContratoAvaluador.pagoSeleccionado.valor}"
                styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>

            <h:outputLabel value="Fecha interventoria:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminPagosContratoAvaluador.pagoSeleccionado.fechaInterventoria}"
                styleClass="outputTextStyle">
                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                   type="date" />
            </h:outputText>
        </h:panelGrid>

        <h:panelGrid cellspacing="7" width="100%">

            <p:dataTable var="pagosProyectadosVar" rowKey=""
                         emptyMessage="No se encontraron pagos proyectados">

                <f:facet name="header">Relación pagos proyectados</f:facet>

                <p:column headerText="Número orden pago">
                    <p:commandButton icon="ui-icon ui-icon-pencil" />
                </p:column>

                <p:column headerText="Fecha pago">
                    <h:outputText styleClass="outputTextStyle" value="">
                        <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                           type="date" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Valor pagado">
                    <h:outputText styleClass="outputTextStyle" value="">
                        <f:converter converterId="converterMoneda" />
                    </h:outputText>
                </p:column>
            </p:dataTable>
        </h:panelGrid>

    </p:fieldset>

    <h:panelGrid cellspacing="7" columns="1">
        <p:commandButton value="Guardar" icon="ui-icon ui-icon-check"
                         oncomplete="asociarPagoCausadoWV.hide();" />
    </h:panelGrid>
</h:form>